<?php
require_once __DIR__.'/maincore.php';
require_once THEMES.'templates/header.php';
add_to_title('Sprawdź, ile radości jeszcze przed Tobą!');
add_to_head("<style>.hidden { display: none; } </style>");

set_meta("description", "Sprawdź, ile czasu pozostało do emerytury i ile radości możesz jeszcze przeżyć. Kalkulator emerytalny pomoże Ci docenić codzienność!");

function calculateRetirement($birthDate, $gender) {
    // Ustalanie wieku emerytalnego
    $retirementAge = ($gender === 'female') ? 60 : 65;
    
    // Obliczanie daty emerytury
    $birthDateTime = new DateTime($birthDate);
    $retirementDateTime = clone $birthDateTime;
    $retirementDateTime->add(new DateInterval("P{$retirementAge}Y"));
    
    // Obliczanie różnicy między datą emerytury a dzisiejszą datą
    $today = new DateTime();
    $interval = $today->diff($retirementDateTime);
    
    // Obliczanie dodatkowych danych
    $yearsLeft = $interval->y;
    $monthsLeft = $interval->m;
    $daysLeft = $interval->d;
    
    // Obliczanie liczby filmów
    $moviesCount = $yearsLeft; // 1 film na rok
    $kevinHomeAlone = $moviesCount; // Kevin sam w domu
    $sylwesterMarzen = $moviesCount; // Sylwester Marzeń

    // Obliczanie liczby tygodni do emerytury
    $weeksLeft = floor($interval->days / 7);
    $newMovieCount = $weeksLeft * 2; // Nowy film wyświetlany 2 razy w tygodniu

    return [
        'years' => $yearsLeft,
        'months' => $monthsLeft,
        'days' => $daysLeft,
        'kevinHomeAlone' => $kevinHomeAlone,
        'sylwesterMarzen' => $sylwesterMarzen,
        'newMovie' => $newMovieCount // Nowy film
    ];
}

$result = null; // Inicjalizacja zmiennej $result

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $birthDate = $_POST['birthDate'];
    $gender = $_POST['gender'];
    $result = calculateRetirement($birthDate, $gender);
}
?>

<h1>Wstaw własny tekst?</h1>

<h2>Kalkulator dla CMS PHP Fusion v9</h2>
<p>Kalkulator został stworzony w systemie zarządzania treścią PHP Fusion v9, co sprawia, że jest łatwy w integracji i użytkowaniu. Dzięki prostemu interfejsowi. </p>

<form method="post">
    <label for="birthDate">Data urodzenia:</label><br>
    <input type="date" id="birthDate" name="birthDate" required><br>
    <label for="gender">Płeć:</label><br>
    <select id="gender" name="gender" required>
        <option value="" disabled selected>Wybierz płeć</option> 
        <option value="female">Kobieta</option>
        <option value="male">Mężczyzna</option>
    </select><br><br>
    <button type="submit" class="btn btn-success">Oblicz</button>
</form>
<?php if (isset($result)): ?>
    <h2>Wyniki:</h2>
    <p>Pozostało do emerytury: <strong><?php echo $result['years']; ?> lat, <?php echo $result['months']; ?> miesięcy, <?php echo $result['days']; ?> dni</strong></p>
    <p>Możesz obejrzeć "Kevin sam w domu" <strong><?php echo $result['kevinHomeAlone']; ?> razy</strong> do emerytury.</p>
    <p>Możesz obejrzeć "Sylwester Marzeń Z Marylo Rodowicz" <strong><?php echo $result['sylwesterMarzen']; ?> razy</strong> do emerytury.</p>
    
    <p id="movie" class="hidden">Możesz obejrzeć film M Jak miłość
    <iframe width="560" height="315" src="https://www.youtube.com/embed/aJA3766MlK4?si=TIHQZPS4IM0Ppb8n" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe><br>
    <strong><?php echo $result['newMovie']; ?> razy</strong> do emerytury.</p>

    <script>
        // Usunięcie klasy 'hidden' po obliczeniach
        document.getElementById('movie').classList.remove('hidden');
    </script>
<?php endif; ?>

<?php require_once THEMES.'templates/footer.php'; ?>